Skip to main content
GET
/
byok
List BYOK provider credentials
curl --request GET \
  --url https://openrouter.ai/api/v1/byok \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/byok"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/byok', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "allowed_api_key_hashes": null,
      "allowed_models": null,
      "allowed_user_ids": null,
      "created_at": "2025-08-24T10:30:00Z",
      "disabled": false,
      "id": "11111111-2222-3333-4444-555555555555",
      "is_fallback": false,
      "label": "sk-...AbCd",
      "name": "Production OpenAI Key",
      "provider": "openai",
      "sort_order": 0,
      "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "total_count": 1
}
{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}
{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

offset
integer | null

Number of records to skip for pagination

Required range: x >= 0
Example:

0

limit
integer

Maximum number of records to return (max 100)

Required range: 1 <= x <= 100
Example:

50

workspace_id
string<uuid>

Optional workspace ID to filter by. Defaults to the authenticated entity's default workspace.

Example:

"550e8400-e29b-41d4-a716-446655440000"

provider
enum<string>

Optional provider slug to filter by (e.g. openai, anthropic, amazon-bedrock).

Available options:
ai21,
aion-labs,
akashml,
alibaba,
amazon-bedrock,
amazon-nova,
ambient,
anthropic,
arcee-ai,
atlas-cloud,
avian,
azure,
baidu,
baseten,
black-forest-labs,
byteplus,
cerebras,
chutes,
cirrascale,
clarifai,
cloudflare,
cohere,
crusoe,
darkbloom,
decart,
deepinfra,
deepseek,
dekallm,
digitalocean,
featherless,
fireworks,
friendli,
gmicloud,
google-ai-studio,
google-vertex,
groq,
heygen,
inception,
inceptron,
inferact-vllm,
inference-net,
infermatic,
inflection,
io-net,
ionstream,
liquid,
mancer,
mara,
minimax,
mistral,
modelrun,
modular,
moonshotai,
morph,
ncompass,
nebius,
nex-agi,
nextbit,
novita,
nvidia,
open-inference,
openai,
parasail,
perceptron,
perplexity,
phala,
poolside,
quiver,
recraft,
reka,
relace,
sakana-ai,
sambanova,
seed,
siliconflow,
sourceful,
stepfun,
streamlake,
switchpoint,
tenstorrent,
together,
upstage,
venice,
wafer,
wandb,
xai,
xiaomi,
z-ai
Example:

"openai"

Response

List of BYOK credentials

data
object[]
required

List of BYOK credentials.

total_count
integer
required

Total number of BYOK credentials matching the filters.

Example:

1